const float4 setting : register(c0);
const float4 vtrans : register(c1);
const float4 ttrans : register(c2);

struct V_IN
{
	float2 pos : POSITION0;
};

struct V_OUT
{
	float4 pos : POSITION0;
	float2 tex : TEXCOORD0;
};

V_OUT main(V_IN In)
{
	V_OUT Out;

	Out.pos = float4(lerp(vtrans.xy, vtrans.zw, In.pos.xy), 0.5, 1.0);
	Out.tex = lerp(ttrans.xy, ttrans.zw, In.pos.xy);

	return Out;
}
